Module tdlight.api
Package it.tdlight.jni

# Class TdApi.StickerFormat

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.StickerFormat

Direct Known Subclasses:
  `TdApi.StickerFormatTgs`, `TdApi.StickerFormatWebm`, `TdApi.StickerFormatWebp`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.StickerFormat extends TdApi.Object permits TdApi.StickerFormatWebp, TdApi.StickerFormatTgs, TdApi.StickerFormatWebm
This class is an abstract base class. Describes format of a sticker.

## Constructor Summary

Constructors
Constructor
Description
`StickerFormat()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### StickerFormat

public StickerFormat()
Default class constructor.